package agilpizza;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

import agilpizza.selenium.SeleniumTestCase;

public class ListaDeIngredientesTest extends SeleniumTestCase {

	@Before
	public void entrarNaPagina() {
		sel.open(CONTEXTO);
		sel.clickAndWait("listaDeIngredientes");
	}
	
	@Test
	public void testCategorias() {
		assertTrue(sel.isTextPresent("Carnes"));
		assertTrue(sel.isTextPresent("Queijos"));
		assertTrue(sel.isTextPresent("Vegetais"));
		assertTrue(sel.isTextPresent("Outros"));
	}
	
	@Test
	public void testIngredientes() {
		assertTrue(sel.isTextPresent("Calabresa") && sel.isElementPresent("idCalabresa"));
		assertTrue(sel.isTextPresent("Muzzarela")&& sel.isElementPresent("idMuzzarela"));
		assertTrue(sel.isTextPresent("Rúcula") && sel.isElementPresent("idRúcula"));
		assertTrue(sel.isTextPresent("Orégano") && sel.isElementPresent("idOrégano"));
	}
	
	@Test
	public void testPrecos() {
		//assertFalse(sel.isTextPresent("Preco"));
		assertTrue(sel.isTextPresent("Carnes"));
		assertTrue(sel.isTextPresent("R$4.0"));
		assertTrue(sel.isTextPresent("Preço massa R$10,00"));
	}

}
